# copyright: 'Huynh Duong Phuong Vi @ 2013-2019'
# www.sketchupforyou.com
module S4U
	module S4u_Stair
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_stair"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL=Strings["Stair"]
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader.rbe")))
		@ext.copyright= 'Huynh Duong Phuong Vi @ 2013-2019'
		@ext.creator =  'Huynh Duong Phuong Vi (www.sketchupforyou.com)'
		@ext.version = '4.0.0'
		@ext.description = Strings["Make Stair,Make Slope from Faces"]
		Sketchup.register_extension @ext, true
	end
end
